#
# spec file for package python-requestbuilder
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-requestbuilder
Version:        0.7.1
Release:        bp156.3.2
Summary:        Command line-driven HTTP request builder
License:        ISC
Group:          Development/Languages/Python
URL:            https://github.com/boto/requestbuilder
Source:         https://files.pythonhosted.org/packages/source/r/requestbuilder/requestbuilder-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Command line-driven HTTP request builder

%prep
%setup -q -n requestbuilder-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%{python_sitelib}/*

%changelog
* Wed Sep 16 2020 Dirk Mueller <dmueller@suse.com>
- modernize, switch to singlespec, update to 0.7.1
* Mon Oct 21 2013 intijk@gmail.com
- Initial release
